Skip to main content
`Ctrl`+`K`

# KSPLCD

Implements the LCD (left conjugate direction) method

## Options Database Keys

- -ksp_lcd_restart - number of vectors conjugate

- -ksp_lcd_haptol - tolerance for exact convergence (happy ending)

## Notes

Support only for left preconditioning

See [YGPC04], [DY04], [CCF04], and [CVM+06]

## Contributed by

Lucia Catabriga luciac@ices.utexas.edu

## References

[CVM+06]

L Catabriga, AMP Valli, BZ Melotti, LM Pessoa, and ALGA Coutinho. Performance of LCD iterative method in the finite element and finite difference solution of convection–diffusion equations. Communications in numerical methods in engineering, 22(6):643–656, 2006.

[CCF04]

Lucia Catabriga, Alvaro LGA Coutinho, and Leopoldo P Franca. Evaluating the LCD algorithm for solving linear systems of equations arising from implicit SUPG formulation of compressible flows. International Journal for Numerical Methods in Engineering, 60(9):1513–1534, 2004.

[DY04]

Yu-Hong Dai and Jinyun Yuan. Study on semi-conjugate direction methods for non-symmetric systems. International journal for numerical methods in engineering, 60(8):1383–1399, 2004.

[YGPC04]

JY Yuan, Gene H Golub, Robert J Plemmons, and WAG Cecilio. Semi-conjugate direction methods for real positive definite systems. BIT Numerical Mathematics, 44:189–207, 2004.

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSetType()`, `KSPType`, `KSP`, `KSPCG`, `KSPCGSetType()`, `KSPLCDSetRestart()`, `KSPLCDSetHapTol()`

## Level

beginner

## Location

src/ksp/ksp/impls/lcd/lcd.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages